package info.bukova.isspst.services.numberseries;

import info.bukova.isspst.data.NumberSeries;
import info.bukova.isspst.data.Season;
import info.bukova.isspst.services.Service;

import java.util.List;

public interface NumberSeriesService extends Service<NumberSeries>
{
	public NumberSeries getNumberSerie(String module);

	public NumberSeries getNumberSerieForSeason(String module, Season season);
	
	public void increase(NumberSeries ns);

	public List<NumberSeries> getSeriesForSeason(Season season);
}
